#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dhall
version:              1.40.2
visibility:           public
id:                   dhall-1.40.2-7pfaE5sczAqAIynx8AqMkx
key:                  dhall-1.40.2-7pfaE5sczAqAIynx8AqMkx
license:              BSD-3-Clause
copyright:            2017 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  1f429f5a14e0540759c957a43e24c02a
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics Dhall.Parser
    Dhall.Parser.Expression Dhall.Parser.Token Dhall.Pretty Dhall.Repl
    Dhall.Schemas Dhall.Set Dhall.Src Dhall.Substitution Dhall.TH
    Dhall.Tags Dhall.Tutorial Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.Eval Dhall.Import.Types Dhall.Import.Headers
    Dhall.Marshal.Internal Dhall.Normalize Dhall.Parser.Combinators
    Dhall.Pretty.Internal Dhall.Syntax Dhall.URL Paths_dhall
    Dhall.Import.HTTP Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dhall-1.40.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dhall-1.40.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.40.2-7pfaE5sczAqAIynx8AqMkx
depends:
    Diff-0.4.1-IlA0dEbZCkM6B7q1H1OXu1
    aeson-1.5.6.0-9b7PYeIt4IK50V585g1cEG
    aeson-pretty-0.8.9-98i4FWGKWsWC58jWBDXBHi
    ansi-terminal-0.11-7Sg6KtenVNR9Ce5shok5FD
    atomic-write-0.2.0.7-j2BOoqLJtNIkwJPY1D1jd base-4.15.1.0
    base16-bytestring-1.0.2.0-1Q05LVPn1NZ2OQtCegkEPP
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-CRT7ZECRUzxCm9b8jdp7qY
    cborg-0.2.6.0-AEkI4NabrAa3fYzhbiFgrJ
    cborg-json-0.2.3.0-IymUQce4yb6EuD3fO2eeJM containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    cryptohash-sha256-0.11.102.1-DbaT0TDmzHc34bQzoZN3Ry
    data-fix-0.3.2-CdTTgcBBFskFbAfqAWbpQU deepseq-1.4.5.0
    directory-1.3.6.2 dotgen-0.4.3-JbRUtf7kscIJibZz2RQNw
    either-5.0.1.1-7WrIJBqzhmXLYpgUMzMPEk exceptions-0.10.4
    filepath-1.4.2.1 half-0.3.1-3wUkh7EUJsKJmDWXh9RBPc
    hashable-1.4.0.0-LbiCNO5gyl3FzQI198nxBm haskeline-0.8.2
    http-client-0.7.10-5sb4rGjSyIR2WefMgPlX8a
    http-client-tls-0.3.5.3-CmCp4YgpBo6FfVp4DYd5Ph
    http-types-0.12.3-CfUFJ8qzoRm4jBVstJUiYe
    lens-family-core-2.1.0-Cx6Q6yJZPCD8ZRYLTcWeZ6
    megaparsec-9.2.0-DevpBZ4FqsG1zrF3gfJIeG
    mmorph-1.2.0-rUcqJ8kf022ZNG6tH16A7 mtl-2.2.2
    network-uri-2.6.4.1-J1jy2ktAHZU9hkYVuRrliD
    optparse-applicative-0.16.1.0-DEjwPOuSPXL9VmbUx7zk3c
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    parsers-0.12.10-KynVtt05664LlIySpXKMLq
    pretty-simple-4.0.0.0-EZQ5WffsjlPL5F4eRiS3PO
    prettyprinter-1.7.1-BcG2a5LbDhM32E95kplqMz
    prettyprinter-ansi-terminal-1.1.3-hcC3p4sG5uDhtJOEeEivt
    profunctors-5.6.2-JippENckvhm7yH7I04Qnrq
    repline-0.4.0.0-6bvAMszLC6hI3FkrbVAM4E
    scientific-0.3.7.0-1z9G7slsH3XBcFZLCHnRNA
    serialise-0.2.4.0-4cJQqWUeLGZG2o08Mf3DgF template-haskell-2.17.0.0
    text-1.2.5.0 text-manipulate-0.3.0.0-30i3UOxAioC1jLq91slvo4
    th-lift-instances-0.1.19-AaFIfWZDkSs5G4waMVRft3 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.16.0-CwffDPZxPuFHBx4xcBeO
    uri-encode-1.5.0.7-DH0lMSLkmeNKWGufCF0BVf
    vector-0.12.3.1-FGR30quEvBKIVgcX0eclul

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

